## qubes-video-companion 1.0.1

=== debian/changelog ===
qubes-video-companion (1.0.1-1+deb11u1) bullseye; urgency=medium

  * Build for bullseye

 -- Builder <user@localhost>  Mon, 16 Jan 2023 22:34:08 +0100

qubes-video-companion (1.0.1-1) unstable; urgency=medium

  [ Elliot Killick ]
  * 

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Mon, 16 Jan 2023 22:34:08 +0100

qubes-video-companion (1.0.0-1) unstable; urgency=low

  * Initial release

 -- Elliot Killick <elliotkillick@zohomail.eu>  Thu, 18 Feb 2021 11:40:26 -0500

## qubes-video-companion 1.0.2

=== debian/changelog ===
qubes-video-companion (1.0.2-1+jammy1) jammy; urgency=medium

  * Build for jammy

 -- Builder <user@localhost>  Tue, 14 Mar 2023 18:38:09 +0100

qubes-video-companion (1.0.2-1) unstable; urgency=medium

  * Fix typing hints
  * debian: only recommend v4l2loopback-dkms

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 14 Mar 2023 18:38:09 +0100

## qubes-video-companion 1.0.3

=== Makefile ===
# Copyright (C) 2021 Elliot Killick <elliotkillick@zohomail.eu>
# Licensed under the MIT License. See LICENSE file for details.

PKGNAME = qubes-video-companion

BINDIR ?= /usr/bin
DATADIR ?= /usr/share
SYSCONFDIR ?= /etc
QREXECDIR ?= $(SYSCONFDIR)/qubes-rpc
PYTHON ?= python3

INSTALL_DIR = install -d --
INSTALL_PROGRAM = install -D --
INSTALL_DATA = install -Dm 644 --

help:
	@echo "make build		Build components"
	@echo "make install-vm		Install all components necessary for VMs"
	@echo "make install-dom0	Install all components necessary for dom0"
	@echo "make install-both	Install components necessary for VMs and dom0"
	@echo "make install-policy	Install qrexec policies"
	@echo "make install-tests	Install integration tests"
	@echo "make install-license	Install license to $(DATADIR)/licenses/$(PKGNAME)"
	@echo "make clean		Clean build"

build:
	$(MAKE) -C doc manpages

install-v4l2loopback-script:
	$(INSTALL_PROGRAM) scripts/v4l2loopback/install.sh $(DESTDIR)$(DATADIR)/$(PKGNAME)/scripts/v4l2loopback
	$(INSTALL_DATA) scripts/v4l2loopback/author.asc $(DESTDIR)$(DATADIR)/$(PKGNAME)/scripts/v4l2loopback

install-vm: install-both
	$(INSTALL_DIR) $(DESTDIR)$(BINDIR)
	$(INSTALL_PROGRAM) receiver/$(PKGNAME) $(DESTDIR)$(BINDIR)
	$(INSTALL_DIR) $(DESTDIR)$(DATADIR)/$(PKGNAME)/receiver
	$(INSTALL_PROGRAM) receiver/setup.sh receiver/receiver.py receiver/destroy.sh receiver/common.sh $(DESTDIR)$(DATADIR)/$(PKGNAME)/receiver
	$(INSTALL_DIR) $(DESTDIR)$(SYSCONFDIR)/qubes/rpc-config
	echo 'wait-for-session=1' > $(DESTDIR)$(SYSCONFDIR)/qubes/rpc-config/qvc.Webcam
	echo 'wait-for-session=1' > $(DESTDIR)$(SYSCONFDIR)/qubes/rpc-config/qvc.ScreenShare
	$(INSTALL_DIR) $(DESTDIR)$(DATADIR)/$(PKGNAME)/scripts
	$(INSTALL_DATA) scripts/webcam.html $(DESTDIR)$(DATADIR)/$(PKGNAME)/scripts
	$(INSTALL_DIR) $(DESTDIR)$(DATADIR)/$(PKGNAME)/scripts/v4l2loopback
	$(MAKE) -C doc install

install-dom0: install-both install-policy install-tests

install-both:
	$(INSTALL_DIR) $(DESTDIR)$(QREXECDIR)
	$(INSTALL_PROGRAM) qubes-rpc/services/qvc.Webcam qubes-rpc/services/qvc.ScreenShare $(DESTDIR)$(QREXECDIR)
	$(INSTALL_DIR) $(DESTDIR)$(DATADIR)/$(PKGNAME)/sender
	$(INSTALL_PROGRAM) sender/*.py $(DESTDIR)$(DATADIR)/$(PKGNAME)/sender
	$(INSTALL_DIR) $(DESTDIR)$(DATADIR)/doc/$(PKGNAME)
	$(INSTALL_DATA) README.md doc/pipeline.md $(DESTDIR)$(DATADIR)/doc/$(PKGNAME)
	$(INSTALL_DIR) $(DESTDIR)$(DATADIR)/doc/$(PKGNAME)/visualizations
	$(INSTALL_DATA) doc/visualizations/* $(DESTDIR)$(DATADIR)/doc/$(PKGNAME)/visualizations

install-policy:
	$(INSTALL_DIR) $(DESTDIR)$(QREXECDIR)/policy
	$(INSTALL_DATA) qubes-rpc/policies/* $(DESTDIR)$(QREXECDIR)/policy

install-tests:
	cd tests && $(PYTHON) setup.py install -O1 --root $(DESTDIR)

install-license:
	$(INSTALL_DIR) $(DESTDIR)$(DATADIR)/licenses/$(PKGNAME)
	$(INSTALL_DATA) LICENSE $(DESTDIR)$(DATADIR)/licenses/$(PKGNAME)

clean:
	$(MAKE) -C doc clean
.PHONY: clean install-license install-policy install-both install-dom0 install-v4l2loopback-script build help

=== debian/changelog ===
qubes-video-companion (1.0.3-1+deb12u1) bookworm; urgency=medium

  * Build for bookworm

 -- Builder <user@localhost>  Fri, 28 Jul 2023 21:02:57 +0200

qubes-video-companion (1.0.3-1) unstable; urgency=medium

  [ WillyJL ]
  * Fix screenshare with multiple monitors
  * Use kwargs instead of querying geometry twice

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 28 Jul 2023 21:02:57 +0200

## qubes-video-companion 1.0.4

=== debian/changelog ===
qubes-video-companion (1.0.4-1+deb12u1) bookworm; urgency=medium

  * Build for bookworm

 -- Builder <user@localhost>  Mon, 09 Oct 2023 11:10:14 +0200

qubes-video-companion (1.0.4-1) unstable; urgency=medium

  [ Marek Marczykowski-Górecki ]
  * ci: install pylint too
  * Update pylint config
  * Fix issues found by pylint

  [ Demi Marie Obenour ]
  * Avoid hardcoding user "user"
  * Add missing 'acl' dependency
  * Use literals instead of function calls

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Mon, 09 Oct 2023 11:10:14 +0200

## qubes-video-companion 1.0.5

=== debian/changelog ===
qubes-video-companion (1.0.5-1+deb13u1) trixie; urgency=medium

  * Build for trixie

 -- Builder <user@localhost>  Tue, 24 Oct 2023 21:56:05 +0200

qubes-video-companion (1.0.5-1) unstable; urgency=medium

  [ Tim ]
  * fix setfacl command

  [ Marek Marczykowski-Górecki ]
  * rpm: produce base qubes-video-companion package

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 24 Oct 2023 21:56:05 +0200

=== debian/control ===
Source: qubes-video-companion
Section: video
Priority: optional
Maintainer: Elliot Killick <elliotkillick@zohomail.eu>
Build-Depends: debhelper-compat (= 12), pandoc
Standards-Version: 4.5.0
Homepage: https://github.com/elliotkillick/qubes-video-companion

Package: qubes-video-companion
Architecture: all
Multi-Arch: foreign
Depends: gir1.2-ayatanaappindicator3-0.1,
         gstreamer1.0-plugins-good,
         gstreamer1.0-tools,
         python3,
         v4l-utils,
         acl,
         ${misc:Depends},
Recommends:
  v4l2loopback-dkms (>= 0.12.5-1),
Description: Securely stream webcams and share screens across virtual machines
 Qubes Video Companion is a tool for securely streaming webcams and sharing
 screens across virtual machines.
 .
 It accomplishes this by creating a uni-directional flow of raw video that is
 passed from one virtual machine to another through file descriptors thereby
 allowing both machines to be completely air-gapped with no networking stacks
 exposed. This design makes the side of the video sending virtual machine 100%
 immune to attack and only leaves a very small attack surface on the side of the
 video receiving virtual machine.
 .
 The project emphasizes correctness and security all the while also sporting
 superb performance by maintaining a small footprint of the available
 computational resources and low latency even at Full HD and greater resolutions
 at 30 or more frames per second.
 .
 This package contains all components of Qubes Video Companion excluding the
 Qubes RPC policies which dom0 enforces.

## qubes-video-companion 1.0.6

=== Makefile ===
--- 
+++ 
@@ -40,6 +40,7 @@
 	echo 'wait-for-session=1' > $(DESTDIR)$(SYSCONFDIR)/qubes/rpc-config/qvc.ScreenShare
 	$(INSTALL_DIR) $(DESTDIR)$(DATADIR)/$(PKGNAME)/scripts
 	$(INSTALL_DATA) scripts/webcam.html $(DESTDIR)$(DATADIR)/$(PKGNAME)/scripts
+	$(INSTALL_DATA) scripts/dkms-skip.conf $(DESTDIR)$(SYSCONFDIR)/dkms/v4l2loopback.conf
 	$(INSTALL_DIR) $(DESTDIR)$(DATADIR)/$(PKGNAME)/scripts/v4l2loopback
 	$(MAKE) -C doc install

=== debian/changelog ===
qubes-video-companion (1.0.6-1+deb12u1) bookworm; urgency=medium

  * Build for bookworm

 -- Builder <user@localhost>  Fri, 29 Mar 2024 15:37:55 +0100

qubes-video-companion (1.0.6-1) unstable; urgency=medium

  * tests: fix waiting for streaming start
  * tests: use gst on both sides of the connection
  * tests: make error message a bit more informative
  * tests: print more details if the main process exit early
  * Call modinfo via sudo too
  * debian: add missing dependencies
  * Skip building v4l2loopback dkms module on qubes kernel
  * tests: check if the source /dev/video0 works before testing webcam

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 29 Mar 2024 15:37:55 +0100

=== debian/control ===
--- 
+++ 
@@ -10,6 +10,8 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: gir1.2-ayatanaappindicator3-0.1,
+         gir1.2-gstreamer-1.0,
+         gir1.2-notify-0.7,
          gstreamer1.0-plugins-good,
          gstreamer1.0-tools,
          python3,

## qubes-video-companion 1.0.7

=== debian/changelog ===
qubes-video-companion (1.0.7-1+deb12u1) bookworm; urgency=medium

  * Build for bookworm

 -- Builder <user@localhost>  Sun, 28 Apr 2024 03:14:30 +0200

qubes-video-companion (1.0.7-1) unstable; urgency=medium

  [ Demi Marie Obenour ]
  * Allow the receiver to request a preferred resolution

  [ Atrate ]
  * Fix installation instructions

  [ Marek Marczykowski-Górecki ]
  * Remove "WIP" disclaimer
  * Downgrade v4l2loopback-dkms dependency to "Suggests"

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sun, 28 Apr 2024 03:14:30 +0200

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
          v4l-utils,
          acl,
          ${misc:Depends},
-Recommends:
+Suggests:
   v4l2loopback-dkms (>= 0.12.5-1),
 Description: Securely stream webcams and share screens across virtual machines
  Qubes Video Companion is a tool for securely streaming webcams and sharing

## qubes-video-companion 1.1.0

=== debian/changelog ===
qubes-video-companion (1.1.0-1+jammy1) jammy; urgency=medium

  * Build for jammy

 -- Builder <user@localhost>  Mon, 03 Jun 2024 02:01:37 +0200

qubes-video-companion (1.1.0-1) unstable; urgency=medium

  [ Ben Grande ]
  * Export dbus address for the notification server
  * Update policy format
  * Add missing dependencies
  * Allow monitor choice

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Mon, 03 Jun 2024 02:01:37 +0200

## qubes-video-companion 1.1.1

=== debian/changelog ===
qubes-video-companion (1.1.1-1+jammy1) jammy; urgency=medium

  * Build for jammy

 -- Builder <user@localhost>  Mon, 03 Jun 2024 10:31:37 +0200

qubes-video-companion (1.1.1-1) unstable; urgency=medium

  [ Ben Grande ]
  * Add missing symbol for empty variable

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Mon, 03 Jun 2024 10:31:37 +0200

## qubes-video-companion 1.1.2

=== Makefile ===
--- 
+++ 
@@ -6,7 +6,8 @@
 BINDIR ?= /usr/bin
 DATADIR ?= /usr/share
 SYSCONFDIR ?= /etc
-QREXECDIR ?= $(SYSCONFDIR)/qubes-rpc
+QREXECSERVICEDIR ?= $(SYSCONFDIR)/qubes-rpc
+QREXECPOLICYDIR ?= $(SYSCONFDIR)/qubes/policy.d
 PYTHON ?= python3
 
 INSTALL_DIR = install -d --
@@ -47,8 +48,8 @@
 install-dom0: install-both install-policy install-tests
 
 install-both:
-	$(INSTALL_DIR) $(DESTDIR)$(QREXECDIR)
-	$(INSTALL_PROGRAM) qubes-rpc/services/qvc.Webcam qubes-rpc/services/qvc.ScreenShare $(DESTDIR)$(QREXECDIR)
+	$(INSTALL_DIR) $(DESTDIR)$(QREXECSERVICEDIR)
+	$(INSTALL_PROGRAM) qubes-rpc/services/qvc.Webcam qubes-rpc/services/qvc.ScreenShare $(DESTDIR)$(QREXECSERVICEDIR)
 	$(INSTALL_DIR) $(DESTDIR)$(DATADIR)/$(PKGNAME)/sender
 	$(INSTALL_PROGRAM) sender/*.py $(DESTDIR)$(DATADIR)/$(PKGNAME)/sender
 	$(INSTALL_DIR) $(DESTDIR)$(DATADIR)/doc/$(PKGNAME)
@@ -57,8 +58,8 @@
 	$(INSTALL_DATA) doc/visualizations/* $(DESTDIR)$(DATADIR)/doc/$(PKGNAME)/visualizations
 
 install-policy:
-	$(INSTALL_DIR) $(DESTDIR)$(QREXECDIR)/policy
-	$(INSTALL_DATA) qubes-rpc/policies/* $(DESTDIR)$(QREXECDIR)/policy
+	$(INSTALL_DIR) $(DESTDIR)$(QREXECPOLICYDIR)
+	$(INSTALL_DATA) qubes-rpc/policies/* $(DESTDIR)$(QREXECPOLICYDIR)
 
 install-tests:
 	cd tests && $(PYTHON) setup.py install -O1 --root $(DESTDIR)

=== debian/changelog ===
qubes-video-companion (1.1.2-1+jammy1) jammy; urgency=medium

  * Build for jammy

 -- Builder <user@localhost>  Fri, 28 Jun 2024 17:17:34 +0200

qubes-video-companion (1.1.2-1) unstable; urgency=medium

  [ Ben Grande ]
  * Choose monitor with GTK dialog

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 28 Jun 2024 17:17:34 +0200

## qubes-video-companion 1.1.3

=== ci/requirements.txt ===
# WARNING: These requirements are for use by the CI system only (gitlab.com)
# Otherwise, use the system package manager to ensure utmost security
#PyGObject # pip fails to install this package

=== debian/changelog ===
qubes-video-companion (1.1.3-1+jammy1) jammy; urgency=medium

  * Build for jammy

 -- Builder <user@localhost>  Wed, 03 Jul 2024 16:54:51 +0200

qubes-video-companion (1.1.3-1) unstable; urgency=medium

  [ Ben Grande ]
  * Show qube requesting screenshare on monitor choice

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Wed, 03 Jul 2024 16:54:51 +0200

## qubes-video-companion 1.1.4

=== debian/changelog ===
qubes-video-companion (1.1.4-1+jammy1) jammy; urgency=medium

  * Build for jammy

 -- Builder <user@localhost>  Mon, 21 Oct 2024 03:47:59 +0200

qubes-video-companion (1.1.4-1) unstable; urgency=medium

  * tests: fail earlier if /dev/video0 doesn't exists
  * tests: restructure webcam test
  * tests: rename "screenshare" to "source"
  * tests: use 'vivid' module as a source for webcam test
  * webcam: ignore fractional FPS
  * tests: skip webcam test if vivid module can't be loaded

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Mon, 21 Oct 2024 03:47:59 +0200

## qubes-video-companion 1.1.5

=== debian/changelog ===
qubes-video-companion (1.1.5-1+noble1) noble; urgency=medium

  * Build for noble

 -- Builder <user@localhost>  Mon, 24 Mar 2025 03:00:17 +0100

qubes-video-companion (1.1.5-1) unstable; urgency=medium

  [ Ali Mirjamali ]
  * Make Qubes Video Companion available in App menu

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Mon, 24 Mar 2025 03:00:17 +0100

## qubes-video-companion 1.1.6

=== Makefile ===
--- 
+++ 
@@ -3,6 +3,7 @@
 
 PKGNAME = qubes-video-companion
 
+APPLICATIONSDIR ?= /usr/share/applications
 BINDIR ?= /usr/bin
 DATADIR ?= /usr/share
 SYSCONFDIR ?= /etc
@@ -43,6 +44,9 @@
 	$(INSTALL_DATA) scripts/webcam.html $(DESTDIR)$(DATADIR)/$(PKGNAME)/scripts
 	$(INSTALL_DATA) scripts/dkms-skip.conf $(DESTDIR)$(SYSCONFDIR)/dkms/v4l2loopback.conf
 	$(INSTALL_DIR) $(DESTDIR)$(DATADIR)/$(PKGNAME)/scripts/v4l2loopback
+	install -d $(DESTDIR)$(APPLICATIONSDIR)
+	install -t ${DESTDIR}${APPLICATIONSDIR} -m 0644 desktop/qubes-video-companion-webcam.desktop
+	install -t ${DESTDIR}${APPLICATIONSDIR} -m 0644 desktop/qubes-video-companion-screenshare.desktop
 	$(MAKE) -C doc install
 
 install-dom0: install-both install-policy install-tests

=== debian/changelog ===
qubes-video-companion (1.1.6-1+deb13u1) trixie; urgency=medium

  * Build for trixie

 -- Builder <user@localhost>  Thu, 10 Jul 2025 18:38:35 +0200

qubes-video-companion (1.1.6-1) unstable; urgency=medium

  [ Ali Mirjamali ]
  * Revert "Convert icon.png"

  [ Marek Marczykowski-Górecki ]
  * ci: drop R4.1, add R4.3

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Thu, 10 Jul 2025 18:38:35 +0200

=== debian/control ===
--- 
+++ 
@@ -17,6 +17,9 @@
          python3,
          v4l-utils,
          acl,
+         libnotify-bin,
+         libnotify4,
+         notification-daemon,
          ${misc:Depends},
 Suggests:
   v4l2loopback-dkms (>= 0.12.5-1),

## qubes-video-companion 1.1.7

=== Makefile ===
--- 
+++ 
@@ -36,7 +36,10 @@
 	$(INSTALL_DIR) $(DESTDIR)$(BINDIR)
 	$(INSTALL_PROGRAM) receiver/$(PKGNAME) $(DESTDIR)$(BINDIR)
 	$(INSTALL_DIR) $(DESTDIR)$(DATADIR)/$(PKGNAME)/receiver
-	$(INSTALL_PROGRAM) receiver/setup.sh receiver/receiver.py receiver/destroy.sh receiver/common.sh $(DESTDIR)$(DATADIR)/$(PKGNAME)/receiver
+	$(INSTALL_PROGRAM) receiver/setup.py receiver/receiver.py receiver/destroy.py $(DESTDIR)$(DATADIR)/$(PKGNAME)/receiver
+	$(INSTALL_DATA) receiver/qubes-video-companion.rules $(DESTDIR)/usr/lib/udev/rules.d/80-qubes-video-companion.rules
+	$(INSTALL_DATA) receiver/qubes-video-companion.modprobe $(DESTDIR)/usr/lib/modprobe.d/qubes-video-companion.conf
+	$(INSTALL_DATA) receiver/qubes-video-companion.sudoers $(DESTDIR)/etc/sudoers.d/qubes-video-companion
 	$(INSTALL_DIR) $(DESTDIR)$(SYSCONFDIR)/qubes/rpc-config
 	echo 'wait-for-session=1' > $(DESTDIR)$(SYSCONFDIR)/qubes/rpc-config/qvc.Webcam
 	echo 'wait-for-session=1' > $(DESTDIR)$(SYSCONFDIR)/qubes/rpc-config/qvc.ScreenShare

=== debian/changelog ===
qubes-video-companion (1.1.7-1+noble1) noble; urgency=medium

  * Build for noble

 -- Builder <user@localhost>  Sat, 15 Nov 2025 04:09:53 +0100

qubes-video-companion (1.1.7-1) unstable; urgency=medium

  * Dynamically allocate video device
  * Add module configuration to reduce root usage by qubes-video-
    companion
  * Explicitly allow 'sudo modprobe v4l2loopback'
  * tests: save compared images if they don't match

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 15 Nov 2025 04:09:53 +0100

## qubes-video-companion 1.1.8

=== Makefile ===
--- 
+++ 
@@ -40,6 +40,8 @@
 	$(INSTALL_DATA) receiver/qubes-video-companion.rules $(DESTDIR)/usr/lib/udev/rules.d/80-qubes-video-companion.rules
 	$(INSTALL_DATA) receiver/qubes-video-companion.modprobe $(DESTDIR)/usr/lib/modprobe.d/qubes-video-companion.conf
 	$(INSTALL_DATA) receiver/qubes-video-companion.sudoers $(DESTDIR)/etc/sudoers.d/qubes-video-companion
+	$(INSTALL_DIR) $(DESTDIR)/etc/privleap/conf.d
+	$(INSTALL_DATA) receiver/qubes-video-companion.privleap $(DESTDIR)/etc/privleap/conf.d/qubes-video-companion.conf
 	$(INSTALL_DIR) $(DESTDIR)$(SYSCONFDIR)/qubes/rpc-config
 	echo 'wait-for-session=1' > $(DESTDIR)$(SYSCONFDIR)/qubes/rpc-config/qvc.Webcam
 	echo 'wait-for-session=1' > $(DESTDIR)$(SYSCONFDIR)/qubes/rpc-config/qvc.ScreenShare

=== debian/changelog ===
qubes-video-companion (1.1.8-1+jammy1) jammy; urgency=medium

  * Build for jammy

 -- Builder <user@localhost>  Thu, 20 Nov 2025 13:53:39 +0100

qubes-video-companion (1.1.8-1) unstable; urgency=medium

  [ Aaron Rainbolt ]
  * Add privleap support

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Thu, 20 Nov 2025 13:53:39 +0100

## qubes-video-companion 4.3.0

=== Makefile ===
--- 
+++ 
@@ -9,6 +9,7 @@
 SYSCONFDIR ?= /etc
 QREXECSERVICEDIR ?= $(SYSCONFDIR)/qubes-rpc
 QREXECPOLICYDIR ?= $(SYSCONFDIR)/qubes/policy.d
+UDEVDIR ?= /usr/lib/udev/rules.d
 PYTHON ?= python3
 
 INSTALL_DIR = install -d --
@@ -42,6 +43,7 @@
 	$(INSTALL_DATA) receiver/qubes-video-companion.sudoers $(DESTDIR)/etc/sudoers.d/qubes-video-companion
 	$(INSTALL_DIR) $(DESTDIR)/etc/privleap/conf.d
 	$(INSTALL_DATA) receiver/qubes-video-companion.privleap $(DESTDIR)/etc/privleap/conf.d/qubes-video-companion.conf
+	$(INSTALL_DATA) receiver/qubes-video-companion-webcam@.service $(DESTDIR)/usr/lib/systemd/system/qubes-video-companion-webcam@.service
 	$(INSTALL_DIR) $(DESTDIR)$(SYSCONFDIR)/qubes/rpc-config
 	echo 'wait-for-session=1' > $(DESTDIR)$(SYSCONFDIR)/qubes/rpc-config/qvc.Webcam
 	echo 'wait-for-session=1' > $(DESTDIR)$(SYSCONFDIR)/qubes/rpc-config/qvc.ScreenShare
@@ -58,9 +60,17 @@
 
 install-both:
 	$(INSTALL_DIR) $(DESTDIR)$(QREXECSERVICEDIR)
-	$(INSTALL_PROGRAM) qubes-rpc/services/qvc.Webcam qubes-rpc/services/qvc.ScreenShare $(DESTDIR)$(QREXECSERVICEDIR)
+	$(INSTALL_PROGRAM) qubes-rpc/services/qvc.Webcam \
+		qubes-rpc/services/qvc.ScreenShare \
+		$(DESTDIR)$(QREXECSERVICEDIR)
+	$(INSTALL_PROGRAM) qubes-rpc/services/qvc.WebcamAttach \
+		qubes-rpc/services/qvc.WebcamDetach \
+		$(DESTDIR)$(QREXECSERVICEDIR)
 	$(INSTALL_DIR) $(DESTDIR)$(DATADIR)/$(PKGNAME)/sender
 	$(INSTALL_PROGRAM) sender/*.py $(DESTDIR)$(DATADIR)/$(PKGNAME)/sender
+	$(INSTALL_PROGRAM) scripts/webcam-formats/webcam_formats.py $(DESTDIR)$(DATADIR)/$(PKGNAME)/sender/
+	$(INSTALL_PROGRAM) scripts/udev-handler $(DESTDIR)$(DATADIR)/$(PKGNAME)/sender/
+	$(INSTALL_PROGRAM) sender/udev.rules $(DESTDIR)$(UDEVDIR)/80-qubes-video-companion-sender.rules
 	$(INSTALL_DIR) $(DESTDIR)$(DATADIR)/doc/$(PKGNAME)
 	$(INSTALL_DATA) README.md doc/pipeline.md $(DESTDIR)$(DATADIR)/doc/$(PKGNAME)
 	$(INSTALL_DIR) $(DESTDIR)$(DATADIR)/doc/$(PKGNAME)/visualizations

=== doc/Makefile ===
# Copyright (C) 2021 Elliot Killick <elliotkillick@zohomail.eu>
# Licensed under the MIT License. See LICENSE file for details.

DATADIR ?= /usr/share
MANDIR ?= $(DATADIR)/man
MAN1DIR ?= $(MANDIR)/man1

INSTALL_DIR = install -d
INSTALL_DATA = install -Dm 644

MANPAGES=$(patsubst %.rst,%.1.gz,$(wildcard *.rst))

help:
	@echo "make manpages	Generate manpages"
	@echo "make install	Generate manpages and install them to $(MAN1DIR)"

manpages: $(MANPAGES)

%.1: %.rst
	pandoc -s -f rst -t man -o $@ $<

%.1.gz: %.1
	gzip -f $<

install: manpages
	$(INSTALL_DIR) $(DESTDIR)$(MAN1DIR)
	$(INSTALL_DATA) $(MANPAGES) $(DESTDIR)$(MAN1DIR)

clean:
	rm -f $(MANPAGES)

=== debian/changelog ===
qubes-video-companion (4.3.0-1+deb12u1+devel1) bookworm; urgency=medium

  * Test build

 -- Builder <user@localhost>  Mon, 22 Dec 2025 13:22:44 +0000

qubes-video-companion (4.3.0-1) unstable; urgency=medium

  * Simplify arg parsing
  * Add placeholder for camera selection support
  * Implement base integration with qvm-device API
  * Add format selection to qvm-device integration
  * tests: skip webcam tests on Whonix earlier
  * tests: qvm-device integration
  * ci: add interface mockup for pylint

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Thu, 20 Nov 2025 13:56:50 +0100

## qubes-video-companion 4.3.1

=== debian/changelog ===
qubes-video-companion (4.3.1-1+deb13u1+devel2) trixie; urgency=medium

  * Test build

 -- Builder <user@localhost>  Sun, 04 Jan 2026 14:27:29 +0000

qubes-video-companion (4.3.1-1) unstable; urgency=medium

  * rpm: restart qubesd after installing
  * workaround pylint false positive

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sun, 04 Jan 2026 15:22:45 +0100
